<?php
/**
 * @copyright   Copyright (C) 2021 GWE Systems Ltd
 * @license     GNU/GPLv2, see http://www.gnu.org/licenses/gpl-2.0.html
 * @link        http://www.gwesystems.com
 */

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die();

use Joomla\CMS\Factory;
use Joomla\CMS\Filter\InputFilter;

echo "Uncleaned Joomla config temp directory : " . Factory::getApplication()->get('tmp_path') . "<br>";

// Find the path to the temp directory and the local package.
$tempdir  = (string) InputFilter::getInstance(
	[],
	[],
	InputFilter::ONLY_BLOCK_DEFINED_TAGS,
	InputFilter::ONLY_BLOCK_DEFINED_ATTRIBUTES
)
	->clean(Factory::getApplication()->get('tmp_path'), 'path');

echo "Cleaned Joomla config temp directory " . $tempdir . "<br>";

$moduleParams = json_decode($module->params);

$tempdir = isset($moduleParams->tempdir) ? $moduleParams->tempdir : "";
if (!empty($tempdir))
{
	echo "Uncleaned module based temp directory " . $tempdir . "<br>";

	$tempdir  = (string) InputFilter::getInstance(
		[],
		[],
		InputFilter::ONLY_BLOCK_DEFINED_TAGS,
		InputFilter::ONLY_BLOCK_DEFINED_ATTRIBUTES
	)
		->clean($tempdir, 'path');

	echo "Cleaned module based temp directory " . $tempdir . "<br>";
}

